Debian Bug report logs - #340405
mutt: It does not seem at all easy to forward an email with all its attachments

version graph

Package: mutt; Maintainer for mutt is Antonio Radici <antonio@dyne.org>; Source for mutt is src:mutt.

Reported by: Julian Gilbey <jdg@debian.org>

Date: Wed, 23 Nov 2005 10:18:07 UTC

Severity: wishlist

Tags: wontfix

Found in version mutt/1.5.9-2

Done: Antonio Radici <antonio@dyne.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
New Bug report received and forwarded. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: Debian bug reports <submit@bugs.debian.org>
Subject: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Wed, 23 Nov 2005 10:10:29 +0000
Package: mutt
Version: 1.5.9-2
Severity: wishlist

It would be really nice if there were an option/command
"forward-with-attachments" to forward an email including all
attachments.  I've tried playing with mime_forward et al, and had no
success there.  The only way I've been able to do it is using ESC-e
and then manually editing all of the headers.  What I'd like is this
command to do the same as the normal forward command, except that all
non-text attachments are included in the forwarded email.

Maybe I've just missed something though that should be obvious.

Thanks,

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to 340405@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #10 received at 340405@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Julian Gilbey <jdg@debian.org>, 340405@bugs.debian.org
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Wed, 23 Nov 2005 12:43:26 +0100
* Julian Gilbey [Wed, 23 Nov 2005 10:10:29 +0000]:

> Package: mutt
> Version: 1.5.9-2
> Severity: wishlist

> It would be really nice if there were an option/command
> "forward-with-attachments" to forward an email including all
> attachments.  I've tried playing with mime_forward et al, and had no
> success there.  The only way I've been able to do it is using ESC-e
> and then manually editing all of the headers.  What I'd like is this
> command to do the same as the normal forward command, except that all
> non-text attachments are included in the forwarded email.

> Maybe I've just missed something though that should be obvious.

  Well, $mime_forward is the way to accomplish this, yes. When setting
  it to "ask-yes", when forwarding messages Mutt will ask:

    Forward as attachment? ([yes]/no):

  If the answer is "yes", or mime_forward is "yes", the forwarded
  message will be sent as an attachment, preserving all the structure
  (and of course existing attachments).

  Are you having some problem with this option?

  Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
The first step on the road to wisdom is the admission of ignorance. The
second step is realizing that you don't have to blab it to the world.




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #15 received at 340405@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 340405@bugs.debian.org, Adeodato Sim?? <asp16@alu.ua.es>
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Wed, 23 Nov 2005 15:33:34 +0000
On Wed, Nov 23, 2005 at 12:43:26PM +0100, Adeodato Sim?? wrote:
> * Julian Gilbey [Wed, 23 Nov 2005 10:10:29 +0000]:
> 
> > Package: mutt
> > Version: 1.5.9-2
> > Severity: wishlist
> 
> > It would be really nice if there were an option/command
> > "forward-with-attachments" to forward an email including all
> > attachments.  I've tried playing with mime_forward et al, and had no
> > success there.  The only way I've been able to do it is using ESC-e
> > and then manually editing all of the headers.  What I'd like is this
> > command to do the same as the normal forward command, except that all
> > non-text attachments are included in the forwarded email.
> 
> > Maybe I've just missed something though that should be obvious.
> 
>   Well, $mime_forward is the way to accomplish this, yes. When setting
>   it to "ask-yes", when forwarding messages Mutt will ask:
> 
>     Forward as attachment? ([yes]/no):
> 
>   If the answer is "yes", or mime_forward is "yes", the forwarded
>   message will be sent as an attachment, preserving all the structure
>   (and of course existing attachments).
> 
>   Are you having some problem with this option?
> 
>   Cheers,

Thanks for your speedy reply!

I wanted the normal non-mime_forward handling for the main message,
where the text is included in the body of the message (so that I can
intersperse comments if I so wish), but also the received attachments
are attached to the forwarded message.

Is this not possible?

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to 340405@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #20 received at 340405@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Julian Gilbey <jdg@debian.org>
Cc: 340405@bugs.debian.org
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Thu, 24 Nov 2005 03:10:51 +0100
  (OH GOD. I just accidentally lost what I had written as a reply for
  this message, which was not short as you'll see. I'm now rewritting
  it again, please do appreciate that. ;-)

* Julian Gilbey [Wed, 23 Nov 2005 15:33:34 +0000]:

Hi again, Julian,

> On Wed, Nov 23, 2005 at 12:43:26PM +0100, Adeodato Simó wrote:
> I wanted the normal non-mime_forward handling for the main message,
> where the text is included in the body of the message (so that I can
> intersperse comments if I so wish), but also the received attachments
> are attached to the forwarded message.

  OK, after this clarifying paragraph, and having read the latest
  questions of this Mutt FAQ [1], I think I have a couple suggestions
  for you; I'll assume that you have $mime_foward set to "ask-yes", and
  the rest of variables to their default values except when noted:

    - In all cases, start in the original mail you want to forward, and
      press 'v' to go to the Attachments menu. Then, tag (with 't') all
      the attachments you want to forward (which will possibly be all),
      including the first one, which contains the text of the message.
      To forward them, press ';f' (or 'f' alone if you have $auto_tag
      set). Doing a reply (';r') would be an option too.

    - If you answer "no" to the "Forward as an attachment?" question,
      you'll have in your editor the original body of the message, to
      which you can add your comments, and the rest of attachments in
      separate attachments each, _most likely_. It is possible that they
      get included in the body if they have a text/plain representation;
      the only workaround for this, if it bothers you, would be to
      temporarily change the mime type of said attachments.

    - Alternatively, you may answer "yes" to the question. Then, you'll
      have in your editor the headers of the original message, and in
      further attachments all the forwarded original attachments (even
      if they have a text/plain representation), the first of which will
      be the body of the original mail. You can include your comments
      either in the body of your new mail, or in the original mail
      itself by editing that first attachment (with 'm').

    - In either case, setting $forward_quote will result in the parts of
      the original mail that are included in the new body to be prefixed
      with >.


  And that was all. This mail is probably a bit dense, but I think it
  contains all the information you need. But do not hesitate to ask if
  you have further questions.

  Cheers,

    [1] http://wiki.mutt.org/?MuttFaq/Attachment

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                              Listening to: Ana Torroja - Flor carnívora




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #25 received at 340405@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 340405@bugs.debian.org, Adeodato Sim?? <asp16@alu.ua.es>
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Thu, 24 Nov 2005 09:09:18 +0000
On Thu, Nov 24, 2005 at 03:10:51AM +0100, Adeodato Sim?? wrote:
>   (OH GOD. I just accidentally lost what I had written as a reply for
>   this message, which was not short as you'll see. I'm now rewritting
>   it again, please do appreciate that. ;-)

Cor blimey, cheers guv!

> * Julian Gilbey [Wed, 23 Nov 2005 15:33:34 +0000]:
> 
> Hi again, Julian,
> 
> > On Wed, Nov 23, 2005 at 12:43:26PM +0100, Adeodato Sim?? wrote:
> > I wanted the normal non-mime_forward handling for the main message,
> > where the text is included in the body of the message (so that I can
> > intersperse comments if I so wish), but also the received attachments
> > are attached to the forwarded message.
> 
>   OK, after this clarifying paragraph, and having read the latest
>   questions of this Mutt FAQ [1], I think I have a couple suggestions
>   for you; I'll assume that you have $mime_foward set to "ask-yes", and
>   the rest of variables to their default values except when noted:

Wow!  I will try that.  Wouldn't it be lovely to have a single
option/command which does all of the below?  That would save a rather
complex sequence of commands.  (Yes, I could write a macro to do it,
but I don't imagine that this is the most obscure of desires.)

> [...]

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #30 received at 340405@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 340405@bugs.debian.org, Adeodato Sim?? <asp16@alu.ua.es>
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Thu, 24 Nov 2005 09:16:40 +0000
On Thu, Nov 24, 2005 at 03:10:51AM +0100, Adeodato Sim?? wrote:
>     [1] http://wiki.mutt.org/?MuttFaq/Attachment

Just read that.

"Mutt does not support" what I'm asking for.  So I guess a wishlist
against mutt is that it did!!

8-)

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to 340405@bugs.debian.org, Adeodato Simó <asp16@alu.ua.es>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #35 received at 340405@bugs.debian.org (full text, mbox):

From: Adeodato Simó <asp16@alu.ua.es>
To: Julian Gilbey <jdg@debian.org>, 340405@bugs.debian.org
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Thu, 24 Nov 2005 10:46:33 +0100
* Julian Gilbey [Thu, 24 Nov 2005 09:16:40 +0000]:

> "Mutt does not support" what I'm asking for.  So I guess a wishlist
> against mutt is that it did!!

  Does this mean you'd like for it to be forwarded upstream? 'Cause
  well, I don't agree much, but can do that if you see it necessary.

  Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
When it is not necessary to make a decision, it is necessary not to make
a decision.




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Julian Gilbey <jdg@debian.org>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #40 received at 340405@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 340405@bugs.debian.org, Adeodato Sim?? <asp16@alu.ua.es>
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Thu, 24 Nov 2005 11:10:40 +0000
On Thu, Nov 24, 2005 at 10:46:33AM +0100, Adeodato Sim?? wrote:
> * Julian Gilbey [Thu, 24 Nov 2005 09:16:40 +0000]:
> 
> > "Mutt does not support" what I'm asking for.  So I guess a wishlist
> > against mutt is that it did!!
> 
>   Does this mean you'd like for it to be forwarded upstream? 'Cause
>   well, I don't agree much, but can do that if you see it necessary.

Would be nice!  I mean, if it's in the FAQ, then I can't be the only
one asking.

Thanks!

   Julian



Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@the-barrel.org>:
Bug#340405; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@the-barrel.org>. Full text and rfc822 format available.

Message #45 received at 340405@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Julian Gilbey <jdg@debian.org>, 340405@bugs.debian.org
Cc: Adeodato Sim?? <asp16@alu.ua.es>
Subject: Re: Bug#340405: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Thu, 24 Nov 2005 11:38:20 +0000
* Julian Gilbey <jdg@debian.org> [2005-11-24 11:10]:
> >   Does this mean you'd like for it to be forwarded upstream? 'Cause
> >   well, I don't agree much, but can do that if you see it necessary.
> 
> Would be nice!  I mean, if it's in the FAQ, then I can't be the only
> one asking.

You certainly aren't.  I often wished for such a feature in the past
too but never bothered to file a wishlist bug.  Reading this MuttFaq
(thanks Adeodato), tagging the attachments and using ;f indeed does
what I want, but this is not very intuitive.  Maybe we could have a
variable that will ask whether attachments should be attached (if
there are any, possibly excluding bogus 'attachments' like GPG sigs)
when you press 'f' and mime_forward is not set.
-- 
Martin Michlmayr
http://www.cyrius.com/



Tags added: wontfix Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Sat, 07 Feb 2009 13:36:07 GMT) Full text and rfc822 format available.

Reply sent to antonio@dyne.org:
You have taken responsibility. (Sat, 07 Feb 2009 13:36:09 GMT) Full text and rfc822 format available.

Notification sent to Julian Gilbey <jdg@debian.org>:
Bug acknowledged by developer. (Sat, 07 Feb 2009 13:36:09 GMT) Full text and rfc822 format available.

Message #52 received at 340405-done@bugs.debian.org (full text, mbox):

From: Antonio Radici <antonio@dyne.org>
To: 340405-done@bugs.debian.org, control@bugs.debian.org
Subject: mutt: It does not seem at all easy to forward an email with all its attachments
Date: Sat, 07 Feb 2009 14:35:30 +0100
tag 340405 +wontfix
thanks

Hi,
this bug wasn't forwarded upstream four years ago but
actually the same functionality can be achieved using
tags and the tag prefix operator, so I will resolve
this wishlist item.

Cheers
Antonio




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Mar 2009 07:28:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:50:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.